package projectile;
// If someone wants us to tell them where the projectile is, they have to 
// have the methods described below, implement Projectile.ProjectileListener,
// and add themselves as a listener.
public interface ProjectileListener {
	public void setPosition(double x,double y,double vx,double vy,double time,boolean mark);
	// Initial velocity and angle.
	public void beginFiring(double velocity, double angle, double[] endStats);
	// shotStats[0] endDistance [1] end velocity [2] maxHeight [3] endTime
	// endStats[0] kappa [1] gamma
	// endStats[2] vx0 [3] vy0 [4] t0 -- all three scalings.
	public void endFiring(double[] shotStats);
}
