/**
 * 
 */
package projectile;

import javax.swing.*;

public aspect ClearScreenAspect {
	
	pointcut clearScreenPointCut(PositionGraph p): 
		execution(void PositionGraph.endFiring(double[])) && this(p);
	
	after (PositionGraph p): clearScreenPointCut(p) 
	{
		int resposta = JOptionPane.showConfirmDialog(p,"Vols netejar la pantalla de llençaments?", "Neteja de pantalla", JOptionPane.YES_NO_CANCEL_OPTION);
		if (resposta == JOptionPane.YES_OPTION) 
		{
			p.shotList.clear();
			p.repaint();
		}
	}	
}
